
Packaging - Refactor #6016

Convert foreman sysvinit script to systemd unit

06/02/2014 03:51 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: RPMs   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The foreman RPM ships a sysvinit script for launching the WEBrick server, but this should be replaced by a systemd unit file.  Note

that it should be disabled when using Passenger.

Ideally we'd also add a command to replace the "service foreman restart" functionality when using Passenger.  (Many bonus points if

it works on Debian too.)

This'll be easier if Thin support is removed: https://github.com/theforeman/foreman-packaging/pull/257

Related issues:

Related to Foreman - Tracker #4447: Support installation on RHEL 7 Closed 02/25/2014

Related to Foreman - Feature #9864: Post-installation utility to migrate/seed... New 03/23/2015

Associated revisions

Revision d091c93b - 07/13/2018 05:38 PM - Eric Helms

Drop initscripts from Foreman

History

#1 - 06/02/2014 03:51 PM - Dominic Cleal

- Related to Tracker #4447: Support installation on RHEL 7 added

#2 - 12/11/2014 08:35 AM - Martin Milata

Note: When running Foreman under Passenger on RHEL7/CentOS7, systemctl restart foreman (and consequently service foreman restart) do not

actually restart foreman. This is because systemd calls the sysvinit script first with stop argument and then with start, which do nothing if Foreman is

using Passenger.

#3 - 03/23/2015 07:24 AM - Dominic Cleal

- Related to Feature #9864: Post-installation utility to migrate/seed/restart added

#4 - 09/26/2018 11:41 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Closed

- Assignee set to Eric Helms

- Target version set to 1.19.0

- Fixed in Releases 1.19.0 added

Powered by TCPDF (www.tcpdf.org)

05/11/2024 1/1

https://github.com/theforeman/foreman-packaging/pull/257
http://www.tcpdf.org

